MethodDelegate.Generator (cglib (Version 2.2.2))
Keywords: net.sf.cglib.reflect.MethodDelegate.Generator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.cglib.reflect
Class MethodDelegate.Generator

    java.lang.Object
      net.sf.cglib.core.AbstractClassGenerator
          net.sf.cglib.reflect.MethodDelegate.Generator

All Implemented Interfaces:
  ClassGenerator

Enclosing class:
  MethodDelegate

    public static class MethodDelegate.Generator

extends AbstractClassGenerator

Constructor Summary
`MethodDelegate.Generator()`

Method Summary
`MethodDelegate` | `create()`
`void` | `generateClass(org.objectweb.asm.ClassVisitor v)`
`void` | `setInterface(java.lang.Class iface)`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setTarget(java.lang.Object target)`
`void` | `setTargetClass(java.lang.Class targetClass)`

Methods inherited from class net.sf.cglib.core.AbstractClassGenerator
`getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodDelegate.Generator

    public MethodDelegate.Generator()

Method Detail

### setTarget

    public void setTarget(java.lang.Object target)

### setTargetClass

    public void setTargetClass(java.lang.Class targetClass)

### setMethodName

    public void setMethodName(java.lang.String methodName)

### setInterface

    public void setInterface(java.lang.Class iface)

### create

    public MethodDelegate create()

### generateClass

    public void generateClass(org.objectweb.asm.ClassVisitor v)
                       throws java.lang.NoSuchMethodException

  Throws:
    `java.lang.NoSuchMethodException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001 - Apache Software Foundation